AttributeError: Message instance has no attribute 'sender'

Bug #1130696 reported by Aurélien Bompard on 2013-02-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
GNU Mailman
High
Barry Warsaw

Bug Description

This is with mailman3:

Feb 20 14:23:07 2013 (5721) Uncaught runner exception: MIMEMultipart instance has no attribute 'sender'
Feb 20 14:23:07 2013 (5721) Traceback (most recent call last):
  File "/srv/dev/mailman/mailman/src/mailman/core/runner.py", line 145, in _one_iteration
    self._process_one_file(msg, msgdata)
  File "/srv/dev/mailman/mailman/src/mailman/core/runner.py", line 218, in _process_one_file
    elif msg.sender:
AttributeError: MIMEMultipart instance has no attribute 'sender'
Feb 20 14:23:07 2013 (5721) SHUNTING: 1361370187.943257+1fba5014964bdeae413f5280cd0f4d2cb5f7727b
Feb 20 14:23:07 2013 (5721) Uncaught runner exception: Message instance has no attribute 'sender'
Feb 20 14:23:07 2013 (5721) Traceback (most recent call last):
  File "/srv/dev/mailman/mailman/src/mailman/core/runner.py", line 145, in _one_iteration
    self._process_one_file(msg, msgdata)
  File "/srv/dev/mailman/mailman/src/mailman/core/runner.py", line 218, in _process_one_file
    elif msg.sender:
AttributeError: Message instance has no attribute 'sender'
Feb 20 14:23:08 2013 (5721) SHUNTING: 1361370187.973463+909c4b5e80497ec67e97765281e7ada77a865143

The message seems to be originating from mailman, it's a digest.

I'm attaching a very simple patch that handles the case where there is no sender header.

Related branches

Aurélien Bompard (abompard) wrote :
Barry Warsaw (barry) on 2014-12-04
Changed in mailman:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Barry Warsaw (barry)
milestone: none → 3.0.0b5
Barry Warsaw (barry) on 2014-12-11
Changed in mailman:
status: Triaged → Fix Committed
Barry Warsaw (barry) on 2014-12-30
Changed in mailman:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers